---
title: "Les fonctions des autres"
weight: 5.1
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<ul>
<li><p>Les fonctions de base de R permettent de faire beaucoup de choses, mais certains utilisateurs proposent parfois des fonctions très utiles.</p></li>
<li><p>Ces fonctions sont généralement partagées via des paquets.</p></li>
<li><p>Un paquet ne vient pas nécessairement pré installé avec R, il faut l’installer.</p></li>
<li><p>Installer un paquet revient à copier des scripts et d’autres fichiers sur son disque dur, sans avoir à se soucier de ce qui a été copié ni où. Installer un paquet se fait entre autres via la fonction <code>install.packages</code></p></li>
<li><p>Une fois un paquet installé (par example stringr), les fonctions qu’il proposent peuvent être appelées de deux manières.</p>
<ul>
<li>en appelant la commande précédée du nom du package et de ::</li>
<li>en chargeant toutes les fonctions du paquet via la commande <code>library</code>,</li>
</ul></li>
</ul>
<pre class="r"><code>exists(&quot;invlogit&quot;)</code></pre>
<pre><code>## [1] FALSE</code></pre>
<pre class="r"><code>LaplacesDemon::invlogit</code></pre>
<pre><code>## function (x) 
## {
##     InvLogit &lt;- 1/{
##         1 + exp(-x)
##     }
##     return(InvLogit)
## }
## &lt;bytecode: 0x55ce9dfaadc8&gt;
## &lt;environment: namespace:LaplacesDemon&gt;</code></pre>
<pre class="r"><code>library(&quot;LaplacesDemon&quot;)
exists(&quot;invlogit&quot;)</code></pre>
<pre><code>## [1] TRUE</code></pre>
<div id="pour-ce-cours." class="section level3">
<h3>Pour ce cours.</h3>
<ul>
<li>Les paquets nécessaires pour ce cours sont déja installés dans un dossier d’Aus.
Pour ne pas avoir à les réinstaller, il suffit d’indiquer le chemin à R:</li>
</ul>
<pre class="r"><code>.LibPaths(&quot;V:/PALETTES/IGoR/R-4.1.0/library&quot;)</code></pre>
</div>
<div id="les-paquets." class="section level3">
<h3>Les paquets.</h3>
<ul>
<li>Plus d’explications sur les paquets seront données dans un chapitre ultérieur.</li>
</ul>
</div>
